VSTGUI: CDropSource Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Types | Protected Attributes | List of all members
CDropSource Class Reference
New classes » Version 4.0

drop source More...

`#include <cdropsource.h>`

Inheritance diagram for CDropSource:

## Public Member Functions
| CDropSource ()
| CDropSource (const void *buffer, uint32_t bufferSize, Type type)
bool | add (const void *buffer, uint32_t bufferSize, Type type)
uint32_t | getCount () const final
uint32_t | getDataSize (uint32_t index) const final
Type | getDataType (uint32_t index) const final
uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const final
Public Member Functions inherited from ReferenceCounted< std::atomic< int32_t > >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Static Public Member Functions
static SharedPointer< IDataPackage > | create (const void *buffer, uint32_t bufferSize, Type type)

## Protected Types
using | DropEntryVector = std::vector<CDropEntry>

## Protected Attributes
DropEntryVector | entries

## Additional Inherited Members
Public Types inherited from IDataPackage
enum | Type { kFilePath = 0 , kText , kBinary , kError = -1 }
Protected Member Functions inherited from IDataPackage
| IDataPackage ()

## Detailed Description

drop source

## Member Typedef Documentation

## ◆ DropEntryVector

using DropEntryVector = std::vector<CDropEntry>
| protected

## Constructor & Destructor Documentation

## ◆ CDropSource() [1/2]

CDropSource | ( |  | ) |

## ◆ CDropSource() [2/2]

CDropSource | ( | const void * | buffer,
|  | uint32_t | bufferSize,
|  | Type | type )

## Member Function Documentation

## ◆ add()

bool add | ( | const void * | buffer,
|  | uint32_t | bufferSize,
|  | Type | type )

## ◆ create()

SharedPointer< IDataPackage > create | ( | const void * | buffer,
|  | uint32_t | bufferSize,
|  | Type | type )
| static

## ◆ getCount()

uint32_t getCount | ( |  | ) | const
| finalvirtual

Implements IDataPackage.

## ◆ getData()

uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type ) const
| finalvirtual

Implements IDataPackage.

## ◆ getDataSize()

uint32_t getDataSize | ( | uint32_t | index | ) | const
| finalvirtual

Implements IDataPackage.

## ◆ getDataType()

CDropSource::Type getDataType | ( | uint32_t | index | ) | const
| finalvirtual

Implements IDataPackage.

## Member Data Documentation

## ◆ entries

DropEntryVector entries
| protected

The documentation for this class was generated from the following files:

- cdropsource.h
- cdropsource.cpp